html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}
.details-button-top-container{
    width:100%;
    display:flex;
    gap:10px;
}
.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }
.tittle-input-file {
    font-weight: bold;
    color: black;
    display: flex;
    width: 100%;
    padding-left: 10px;
}
.custom-text-info{
    font-weight:bold;
    
}
code {
    color: #c02d76;
}

.header-logo {
    display: flex;
    flex-direction: row;
    width: 100%;
}

.chat-logo {
    display: flex;
    flex-direction: row;
    gap: 20px;
    width: 100%;
    font-size: 50px;
}

.menu-lateral-container {
    margin-top: 20px;
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: end;
    gap: 10px;
    flex-wrap: wrap;
}

.menu-option-separator {
    width: 2px;
    height: 24px;
    background-color: black;
    font-weight: bold;
}

.menu-option {
    text-decoration: underline;
}

    .menu-option.selected {
        font-weight: bold;
        text-decoration: none;
    }

.detail-container {
    font-size: 0.95em;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.items-reciclerview-horizontal {
    display: flex;
    gap: 30px;
    margin-top: 15px;
    flex-wrap: wrap;
}

.item-users-adapter {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: dimgray;
}

    .item-users-adapter :hover {
        color: black;
    }

    .item-users-adapter span {
        font-size: 0.75rem;
    }

.user-icon {
    font-size: 1.6rem !important;
}


.detail-info-title {
    font-size: 0.85rem;
    font-weight: bold;
}

.temperature-info-container {
    display: flex;
    width:100%;
    gap: 20px;
}

.item-files-title-container {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.block-info-top {
    display: flex;
    justify-content: space-between;
}


.temperature-container-container {
    display: flex;
    justify-content: center;
    align-content: center;
}

.temperature-value-container {
    width: 20px;
}

.detail-info-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.info-datas {
    display: flex;
    gap: 20px;
    align-items: center;
}

.menu-options-views {
    display: flex;
    flex-direction: column;
    max-height:600px;
    height: 100%;
    gap: 5px;
    padding-bottom:20px;
    overflow: auto;
    min-height: 336px;
}

.buttons-containers {
    display: flex;
    gap: 10px;
}

.workspace-form {
    padding: 20px;
}
.item-tittle {
    font-size: 1.2rem;
    font-weight: bold;
    padding: 10px;
}


.form-item {
    display: flex;
    flex-direction: column;
    
    gap: 5px;
}

.form-title-container {
 
    font-weight: bold;
}

.form-body {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.form-item-container-horizontal {
    display: flex;
    flex-direction: row;
    gap: 10px;
}
.form-item-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.workspace-form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.form-modal-header {
    display: flex;
    padding: 10px 20px 10px 20px;
    align-items: center;
    justify-content: space-between;
    background-color: #0F6CBD;
    color: white;
}

.form-title {
    font-weight: bold;
    font-size: 1.1rem;
}

.file-modal-header {
    display: flex;
    justify-content: space-between;
    padding: 10px 20px 10px 20px;
    align-items: center;
}

.file-modal-body {
    padding: 20px;
}

.modal-title {
    font-weight: bold;
    font-size: 1.1rem;
}

.modal-close-button {
    border-radius: 5px;
    height: 30px;
    width: 30px;
   color:white;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: red;
    cursor: pointer;
}

    .modal-close-button:hover {
        background-color: red;
        color: white;
    }

.file-modal-body {
    min-height: 290px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}

.file-modal-adapter-container {
    display: flex;
    height: 100%;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: lightgray;
    color: black;
    border-radius: 10px;
}

    .file-modal-adapter-container > .item-file-adapter-static {
        height: 200px;
    }

        .file-modal-adapter-container > .item-file-adapter-static > .info-container > .file-icon {
            font-size: 3.0rem
        }
            .file-modal-adapter-container > .item-file-adapter-static > .info-container > .file-icon:hover{
                border:1px solid transparent;
            }
            .file-modal-adapter-container .item-file-adapter-static span {
                font-size: 1.1rem !important;
            }
.file-modal-buttons {
    display: flex;
    justify-content: end;
    width: 100%;
    gap: 20px;
}
.lb-error {
    color: red;
    font-weight: bold;
}
.detail-container-button-container {
    display: flex;
    gap: 10px;
    width: 100%;
    justify-content: end;
}
.header-home {
    padding: 10px 60px;
}
.metric-filters-containers {
    display: flex;
    flex-direction: row;
    gap: 20px;
    justify-content: end;
    align-items: center;
    width: 100%;
}
.detail-header {
    display: flex;
    width: 100%;
    justify-content:space-between;
}
.keys-containter-tittle{
font-size:1.0rem;
font-weight:bold;
margin-bottom:5px;
}
.key-adapters-container {
    display: flex;
    flex-direction: column;
    gap: 15px;
}
.table-order-column {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    padding: 10px;
}
.header-page {
    display: flex;
    gap: 20px;
    justify-content:end;
    font-size: 1.25rem;
    padding: 20px 10px 10px 10px;
}
td{
    padding:10px;
}
.table-container{
    padding:20px;
}
th {
    padding: 0px 12px;
}
thead tr th, tbody tr td {
    border-left: 1px solid #ccc; /* Línea vertical izquierda en cada celda */
  
}
    thead tr th:first-child,
    tbody tr td:first-child {
        border-left: none;
    }
thead tr th {
    border-bottom: 2px solid #333; /* Línea más gruesa para encabezado */
}
    thead tr th button {
        border: none;
        border-bottom: 2px solid #333; /* Línea solo abajo */
        background: transparent;
        padding: 4px 8px;
        cursor: pointer;
    }
.date-picker-container{
    width:30%;
}
.action-buttons-container{
    display:flex;
    gap:10px;
}
.action-btn {
    width: 30px;
    height: 30px;
    border: solid 1px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 6px;
    cursor: pointer;
    position: relative;
}
    .action-btn:hover {
        background-color: #0F6CBD;
        color:white;
    }


/* Contenedor del ícono principal */
.special-icon-container {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Ícono grande */
.special-icon {
    font-size: 16px; /* o el tamaño que usas normalmente */
}

/* Contenedor e ícono pequeño arriba a la derecha */
.special-icon-header-container {
    position: absolute;
    top: -1px;
    right: -0.5px;
  
    border-radius: 50%;
    padding: 1px;
    z-index: 2;
}

.special-i-header {
    font-size: 10px; /* más pequeño */
 
}


.rotate-180 {
    transform: rotate(-180deg);
}
.tabs-content{
    margin-top:20px;
}
.details-buttons-top {
    display: flex;
    justify-content: space-between;
    width: 100%;
    padding: 0px 20px 0px 20px;
    align-items: center
}
.error-button{
    display:flex;
    justify-content:center;
    align-items:center;
    color:red;
}
.action-btn-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 6px;
    border: 1px solid black;
    border-radius: 6px;
    padding: 10px;
    font-weight: bold;
}

    .action-btn-container:hover {
        cursor: pointer;
        background-color: #0F6CBD;
        border-color: #0F6CBD;
        color:white;
    }
@media(max-width:1200px) {
    .date-picker-container {
        width: 50%;
    }
}
@media(max-width:900px) {
    .body-container{
            flex-direction:column;
        }
    .body-menu {
        width: 100% !important;
    }
    .details-button-top-container {
        display: flex;
        flex-direction: column;
    }
    .details-buttons-top {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }
        .details-buttons-top .search-box-container {
            width: 100%;
            color: white;
            background-color: #1b6ec2;
        }
    }

    @media(max-width:725px){
        .metric-filters-containers{
            flex-direction:column;
        }
        .body-menu{
            width:100%!important;
        }
        .key-adapter-container {
            display: flex;
            flex-direction: column;
        }
        .keys-title-container{
            justify-content:start!important;
        }
        .keys-key {
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            max-width: 200px; /* O el ancho que quieras */
            display: block; /* o inline-block según contexto */
        }
        .detail-container-button-container {
            justify-content: space-between;
            display: flex;
            flex-direction: column;
        }
        .custom-buttom{
            width:100%!important;
       
        }
        .menu-options-views{
            min-height:0px;
        }
        .date-picker-container{
            width:100%;
        }
        .buttons-containers{
            flex-direction:column;
        }
    }
@media(max-width:380px) {
    .menu-lateral-container {
        justify-content: initial;
        padding: 10px;
    }
    
    .body-container {
        flex-direction: column;
    }

    .detail-info-container {
        flex-direction: column;
    }
    .calendar-picker{
        min-width:0px;
    }
}
